using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 应急能力评估表
    /// </summary>
    [Description("应急能力评估表")]
    public class T_CM_ABILITY_EVALUATE : MesEntityBase
    {
        /// <summary>
        /// 应急能力评估表编号
        /// </summary>
        [Description("应急能力评估表编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        [CUnique]
        [CodeRule((int)PFCodeRuleType.应急管理)]
        public string CODE { get; set; }

        /// <summary>
        /// 应急能力评估表名称
        /// </summary>
        [Description("应急能力评估表名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAME { get; set; }

        /// <summary>
        /// 导航属性：评估人员
        /// </summary>
        [Description("导航属性：评估人员")]
        [FormFieldEdit]
        public ICollection<T_CM_ABILITY_EVALUATE_USER> Nav_Users { get; set; }

        /// <summary>
        /// 导航：应急能力评估表关联评估项目中间表
        /// </summary>
        [Description("导航：应急能力评估表关联评估项目中间表")]
        [FormFieldEdit]
        public virtual ICollection<T_CM_ABILITY_EVALUATE_PROJECT> Nav_ListProject { get; set; }

        /// <summary>
        /// 总体评估结论
        /// </summary>
        [Description("总体评估结论")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(500)]
        public string OVERALL_EVALUATE_CONCLUSION { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }

    }
}